> ## Documentation Index
> Fetch the complete documentation index at: https://docs.game-services.work/llms.txt
> Use this file to discover all available pages before exploring further.

# Game Launch

> This endpoint creates a new player and opens a session for them in the gaming system. If a player with the specified player token does not exist, a new player will be created, and a session will be opened. If the player already exists, only a session will be opened.

> `GET` /platform/api/game/launch

### Request Parameters

| Name                                                                 | Type                | Description                                               |
| -------------------------------------------------------------------- | ------------------- | --------------------------------------------------------- |
| **<span style={{color: "rgb(var(--primary)"}}>operator\_id</span>**  | `string`            | Operator id, provided by RGS                              |
| **<span style={{color: "rgb(var(--primary)"}}>player\_token</span>** | `string`            | Temporary token representing the player.                  |
| **<span style={{color: "rgb(var(--primary)"}}>currency</span>**      | `string` \`.        | Currency ISO code.                                        |
| **<span style={{color: "rgb(var(--primary)"}}>language</span>**      | `string` `optional` | Language code, default is 'en'.                           |
| **<span style={{color: "rgb(var(--primary)"}}>lobby\_url</span>**    | `string` `optional` | URL to the player's lobby.                                |
| **<span style={{color: "rgb(var(--primary)"}}>device\_type</span>**  | `string`            | The type of device used for gaming `MOBILE` or `DESKTOP`. |
| **<span style={{color: "rgb(var(--primary)"}}>game\_uuid</span>**    | `string`            | Unique identifier of the game.                            |

***

### Response

The response has an HTTP status code 302, and it includes a Location header with the URL to which the client should be redirected. This redirection will be handled automatically by the browser.

<ResponseExample>
  ```http Request theme={null}
  GET /platform/api/game/launch?operator_id=your_operator_id&player_token=player123&currency=USD&game_uuid=550e8400-e29b-41d4-a716-446655440000
  ```
</ResponseExample>
